/*
 * hal_SPI.h
 *
 *  Created on: Nov 12, 2011
 *      Author: RomanM
 */

#ifndef HAL_SPI_H_
#define HAL_SPI_H_

#include "stm32f10x.h"

void hal_SPI_Init(SPI_TypeDef *SPIx);
void hal_SPI_Config(SPI_TypeDef *SPIx);
void hal_SPI_GPIO_Config(SPI_TypeDef *SPIx);
void hal_SPI_RCC_Config(SPI_TypeDef *SPIx);

uint8_t hal_SPI_RW(SPI_TypeDef *SPIx, uint8_t data);
void hal_SPI_WriteN(SPI_TypeDef *SPIx, uint8_t *outBuff, uint8_t n);
void hal_SPI_ReadN(SPI_TypeDef *SPIx, uint8_t *inBuff, uint8_t n);

#endif /* HAL_SPI_H_ */
